document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_12800 | ---
+++
@@ -10,6 +10,7 @@
cat > .git/gbp.conf << END
[import-orig]
dch = False
+import-msg = New release version %(version)s
interactive = False
merge = False
pristine-tar = False | bash |
d_bash_12801 | ---
+++
@@ -3,7 +3,7 @@
case "$1" in
java8)
- echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u242-b08/OpenJDK8U-jdk_x64_linux_hotspot_8u242b08.tar.gz"
+ echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u252-b09/OpenJDK8U-jdk_x64_linux_hotspot_8u252b... | bash |
d_bash_12802 | ---
+++
@@ -1,5 +1,11 @@
-# get the name of the branch we are on
+# load RVM
+[[ -s $HOME/.rvm/scripts/rvm ]] && source $HOME/.rvm/scripts/rvm
+
+# get the name of the ruby version
function rvm_prompt_info() {
- ruby_version=$(~/.rvm/bin/rvm-prompt 2> /dev/null) || return
- [[ ! -z $ruby_version ]] && echo "($ruby... | bash |
d_bash_12803 | ---
+++
@@ -1,4 +1,7 @@
#!/bin/sh
+
+set -e
+
cd ./api-docs-slate
gem install bundler | bash |
d_bash_12804 | ---
+++
@@ -30,8 +30,13 @@
echo "/* $generated */"
echo '{'
cat $mac/key-bindings.dict | indent
- echo ' /* Compose Key: F19 */'
- echo -n ' "\UF716" = '
+
+ # http://xahlee.info/kbd/osx_keybinding_key_syntax.html
+ # echo ' /* Compose Key: F19 */'
+ # echo -n ' "\UF716" = '
+ ech... | bash |
d_bash_12805 | ---
+++
@@ -8,7 +8,7 @@
read -r key value <<< "$*"
log "Adding key ${key} with value ${value} to KV store."
etcdctl "${ETCDCTL_OPTS[@]}" "${KV_TLS[@]}" set "${CLUSTER_PATH}""${key}" "${value}" || log "Value is already set"
- etcdctl "${ETCDCTL_OPTS[@]}" "${KV_TLS[@]}" mkdir "${CLUSTER_PATH}client_host" || l... | bash |
d_bash_12806 | ---
+++
@@ -7,7 +7,7 @@
alias rs='rails s'
alias rc='rails c'
alias rn='rails new'
-alias rd='rails dbconsole'
+alias rb='rails dbconsole'
alias rp='rails plugin'
alias ra='rails application'
alias rd='rails destroy' | bash |
d_bash_12807 | ---
+++
@@ -6,5 +6,5 @@
sed -i.bak "s/jellyfish_dir = quake_dir/jellyfish_dir = $PREFIX\/bin/g" $SRC_DIR/bin/quake.py
mkdir -p $PREFIX/bin
-mv bin/* $PREFIX/bin/
+cp bin/* $PREFIX/bin/
| bash |
d_bash_12808 | ---
+++
@@ -22,8 +22,5 @@
echo "$PFX Generating public / private key pair..."
ssh-keygen -t rsa -C $EMAIL
fi
-
-echo "$PFX Your public key:"
-cat $SSH_DIR/id_rsa.pub
exit 0 | bash |
d_bash_12809 | ---
+++
@@ -1,4 +1,7 @@
#!/bin/bash
+
+echo "Installing pm2"
+sudo npm install -g pm2
echo "Creating init script"
sudo cp init-ubuntu /etc/init.d/simplelogs | bash |
d_bash_12810 | ---
+++
@@ -1,6 +1,7 @@
# This is an include file used by the other scripts in this directory.
-if [ -z "$KUBECTL" ]; then
- echo 'Please set KUBECTL env var to point to kubectl or kubectl.sh'
- exit 1
-fi
+# Most clusters will just be accessed with 'kubectl' on $PATH.
+# However, some might require a different ... | bash |
d_bash_12811 | ---
+++
@@ -27,7 +27,7 @@
for f in `find $find_base -name '*.h'`; do
dst_dir=$dst_base/$src_prefix/uinet_`dirname $f`
[ -d $dst_dir ] || mkdir -p $dst_dir
- sed -r 's/(#include(_next)?[ ]+<)([^>]+\/)/\1uinet_\3/' < $f > $dst_dir/`basename $f`
+ sed -E 's/(#include(_next)?[ ]+<)([^>]+... | bash |
d_bash_12812 | ---
+++
@@ -1,2 +1,2 @@
export CORE_ROOT=$(pwd)/bin
-lldb-3.6 -o "plugin load ./bin/libsosplugin.so" -- ./src/omi/Unix/output/bin/omiserver --ignoreAuthentication
+lldb-3.6 -o "plugin load ./bin/libsosplugin.so" -- ./src/omi/Unix/output/bin/omiserver --ignoreAuthentication -l --loglevel 2 | bash |
d_bash_12813 | ---
+++
@@ -4,5 +4,5 @@
# This fix makes baby Jesus cry: We need to test for "node_modules" because npm will do
# a "prepublish" when pulling in a local dep, but doesn't run "install" first...
# It *also* liket to run "prepublish" after "install" which gives us a loop.
-test -f "node_modules/.bin/grunt" || npm i... | bash |
d_bash_12814 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/env bash
docker-compose up -d
-docker exec ruggedy-vma /usr/share/nginx/html/ruggedy-vma/post-docker-compose-up
+docker exec ruggedy-vma /usr/share/nginx/html/ruggedy-vma/docker-files/post-docker-compose-up.sh | bash |
d_bash_12815 | ---
+++
@@ -16,14 +16,13 @@
popd
# build cci
-CCI_VERSION=master
+CCI_VERSION=2.0
mkdir cci
pushd cci
-cp /homes/soumagne/jenkins/cci-${CCI_VERSION}.tar.gz .
+wget http://cci-forum.com/wp-content/uploads/2016/06/cci-${CCI_VERSION}.tar.gz
tar -xzf cci-${CCI_VERSION}.tar.gz
pushd cci-${CCI_VERSION}
-./configure... | bash |
d_bash_12816 | ---
+++
@@ -1,3 +1,3 @@
# This script create demo war site of encuestame
mvn clean
-mvn install -Pdemo
+mvn install -Pdemo -DMAVEN_OPTS="-Xmx1024m -Xms512m"o | bash |
d_bash_12817 | ---
+++
@@ -10,7 +10,8 @@
if ! python3 -m pip --version; then
curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
sudo python3 get-pip.py
- sudo python3 -m pip install nox
+ # https://github.com/theacodes/nox/issues/328
+ sudo python3 -m pip install nox==2019.11.9
else
# We're not in "du... | bash |
d_bash_12818 | ---
+++
@@ -6,7 +6,7 @@
set -e
if [ -z "$NO_MINIKUBE" ]; then
- pgrep -f "[m]inikube" >/dev/null || minikube start --kubernetes-version="v1.14.2" --extra-config=apiserver.v=4 || { echo 'Cannot start minikube.'; exit 1; }
+ pgrep -f "[m]inikube" >/dev/null || minikube start --kubernetes-version="v1.16.2" --extra... | bash |
d_bash_12819 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash -eux
echo "==> Applying updates"
yum -y update
-yum install -y net-tools telnet
+yum install -y net-tools telnet htop
# reboot
echo "Rebooting the machine..."
reboot | bash |
d_bash_12820 | ---
+++
@@ -24,8 +24,8 @@
git clone https://github.com/gmarik/vundle.git ~/.vim/bundle/vundle
fi
-sudo pip install pep8
-sudo pip install autopep8
+if ! $(python -c "import pep8" &> /dev/null); then sudo pip install pep8; fi;
+if ! $(python -c "import autopep8" &> /dev/null); then sudo pip install autopep8; fi;... | bash |
d_bash_12821 | ---
+++
@@ -3,6 +3,8 @@
if [ "${VIA}" == "pypi" ]; then
rm -rf *
pip install spacy
+ python -m spacy.en.download
+ python -m spacy.de.download
fi
if [ "${VIA}" == "sdist" ]; then | bash |
d_bash_12822 | ---
+++
@@ -12,8 +12,10 @@
# Generate a docs folder - run this from the root of the git repository.
#-------------------------------------------------------------------------------
rm -rf build
+SPHINX_DIR="${PWD}/sphinx"
+
mkdir build && cd build
-sphinx-build-3 -q -b html "${PWD}/sphinx" "${PWD}/build/html/"
+s... | bash |
d_bash_12823 | ---
+++
@@ -51,4 +51,4 @@
switch_to_virtual_env
install_requirements
print_message "calling AWS Test run"
-python ./resources/trigger_aws_test_run.py $AUT_NAME
+python -v ./resources/trigger_aws_test_run.py $AUT_NAME | bash |
d_bash_12824 | ---
+++
@@ -2,6 +2,17 @@
set -e
/home/jetbrains/entrypoint.sh &
-sleep 30s
-wget http://localhost:8111 2>&1 | grep Location | grep -q /login
-echo "Server is registered. Everything ok!"
+
+tries=0
+while [ $tries -lt 60 ]
+do
+ if wget http://localhost:8111 2>&1 | grep Location | grep -q /login ; then
+ ... | bash |
d_bash_12825 | ---
+++
@@ -16,6 +16,7 @@
isFirstTime=false
isWorkbenchDataFixesRequired=true
headless=true
+createInferredRelationships=true
extensionName="SNOMED CT International Edition"
previousPublishedPackageName="SnomedCT_Release_INT_20140731.zip"
productName="SNOMED CT Release" | bash |
d_bash_12826 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/bash -x
exec &> githook.log
+npm prune
npm install
gulp build | bash |
d_bash_12827 | ---
+++
@@ -10,7 +10,8 @@
cd bosh-cpi-release
-source /etc/profile.d/chruby-with-ruby-2.1.2.sh
+source /etc/profile.d/chruby.sh
+chruby 2.1.2
set +x
echo creating config/private.yml with blobstore secrets | bash |
d_bash_12828 | ---
+++
@@ -17,13 +17,13 @@
set -e
set -x
+pip3 install --upgrade pip
+pip3 install --upgrade setuptools
+
virtualenv -p python ./venv
source ./venv/bin/activate
python --version
-
-pip3 install --upgrade pip
-pip3 install --upgrade setuptools
pip3 install --upgrade -r requirements.txt -q
./open_spiel/sc... | bash |
d_bash_12829 | ---
+++
@@ -3,7 +3,7 @@
# Install dependencies
# Use conda **ONLY** for numpy and pandas (if not pulling from master), this
# speeds up the builds a lot. Use the normal pip install for the rest.
-conda create -n odo numpy=1.11.2 python=$python
+conda create -n odo numpy=1.11.2 python=${TRAVIS_PYTHON_VERSION}
sour... | bash |
d_bash_12830 | ---
+++
@@ -4,6 +4,6 @@
# Run Grafana automatically with Docker
docker run -d -p 3000:3000 \
- --restart unless-stopped
+ --restart unless-stopped \
-v /var/lib/grafana:/var/lib/grafana \
grafana/grafana | bash |
d_bash_12831 | ---
+++
@@ -10,7 +10,7 @@
if crontab -l | grep -q 'brew-update-notifier'; then
echo 'Crontab entry already exists, skipping...'
else
- echo "0 11 * * * PATH=/usr/local/bin:\$PATH $(echo ~)/.bin/brew-update-notifier.sh" | crontab -
+ echo "0 11 * * * PATH=/usr/local/bin:\$PATH $HOME/.bin/brew-update-notifier.sh... | bash |
d_bash_12832 | ---
+++
@@ -5,6 +5,9 @@
./go //py:setup //py:init //py:docs || exit
# Ruby
+cd rb
+bundle install || exit
+cd ..
./go //rb:docs || exit
git checkout rb/Gemfile.lock | bash |
d_bash_12833 | ---
+++
@@ -1,14 +1,20 @@
#!/bin/bash
-echo "augur processes"
-ps aux | grep -ie $VIRTUAL_ENV/ | awk '{print "kill -9 " $2}'
-ps -ef | grep -ie $VIRTUAL_ENV/ | grep -v grep | awk '{print $2}' | xargs kill
-echo "worker processes"
-ps aux | grep -ie $VIRTUAL_ENV/ | grep -ie bin | grep worker | awk '{print "kill... | bash |
d_bash_12834 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/sh
-fgfs --fg-scenery=`pwd`/output --airport=CYRO --timeofday=noon --aircraft=ufo --altitude=2000 --disable-real-weather-fetch --disable-clouds
+fgfs --fg-scenery=`pwd`/output --timeofday=noon --aircraft=ufo --altitude=2000 --disable-real-weather-fetch --disable-clouds "$*" | bash |
d_bash_12835 | ---
+++
@@ -15,14 +15,14 @@
$HOME/bin/shio slots show >$FOLDER/latest.shiostatus
if $(shasum --check $FOLDER/latest.checksum --status); then
+ # we're good
+ echo "not updating"
+else
echo "updating!"
shasum $FOLDER/latest.shiostatus >$FOLDER/latest.checksum
$HOME/saveServers.sh all $FOLDER/l... | bash |
d_bash_12836 | ---
+++
@@ -24,11 +24,17 @@
kube::golang::setup_env
# add other BADSYMBOLS here.
-BADSYMBOLS="testing[.]"
+BADSYMBOLS=(
+ "httptest"
+ "testify"
+ "testing[.]"
+)
+# Join symbols with OR '\|' pattern
+PATTERN="$(printf '\|%s' "${BADSYMBOLS[@]}" | tail -c +3)"
# b/c hyperkube binds everything simply check th... | bash |
d_bash_12837 | ---
+++
@@ -3,4 +3,6 @@
VGA="-vga std"
NETDEV="user,id=vmnet0 -redir tcp:5555::80"
#NETDEV=${NETDEV-tap,id=vmnet0,script=no,ifname=tap0,downscript=no}
-${KVM-kvm} -m 32M $VGA "$@" -cdrom $ISO -netdev $NETDEV -device e1000,netdev=vmnet0
+# New syntax required if using -machine q35
+#CD="-drive file=$ISO,if=none,med... | bash |
d_bash_12838 | ---
+++
@@ -7,8 +7,8 @@
npm install
npm run build
cd ..
-node last-git-changes/bin.js --exclude='docs,fixtures,README.md,LICENSE,CONTRIBUTING.md'
-export CHANGED_COUNT=$(node last-git-changes/bin.js --exclude='docs,fixtures,README.md,LICENSE,CONTRIBUTING.md' | wc -l)
+node last-git-changes/bin.js --exclude='docs,f... | bash |
d_bash_12839 | ---
+++
@@ -10,10 +10,23 @@
pkg_build_deps=(
core/gcc
core/make
+ core/patchelf
)
pkg_deps=(
core/glibc
+ core/gcc-libs
)
pkg_bin_dirs=(bin)
pkg_include_dirs=(include)
pkg_lib_dirs=(lib)
+
+
+do_install() {
+ do_default_install
+
+ build_line "Patching ELF binaries:"
+ find "$pkg_prefix/lib" -typ... | bash |
d_bash_12840 | ---
+++
@@ -3,7 +3,8 @@
# Pull image from docker hub
docker pull nonexistent/jenkins-dood
-# Remove old jenkins container
+# Stop & remove old jenkins container
+docker stop jenkins
docker rm jenkins
# Run container | bash |
d_bash_12841 | ---
+++
@@ -27,6 +27,7 @@
case ${mutex_file} in
${MERGE_DIFFERENTIAL_AND_FULL_UPDATES_FINISHED})
/usr/local/bin/execute_cronjob_in_two_minutes.sh create_refterm_file.py
+ /usr/local/bin/execute_cronjob_in_two_minutes.sh fetch_interlibraryloan_ppns.py
;;
esac
fi | bash |
d_bash_12842 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
-pandoc -s -S --toc -c api_2_0_spec.css api_2_0_spec.md -o api_2_0_spec.html
+pandoc -s -S --toc --toc-depth=4 -c api_2_0_spec.css api_2_0_spec.md -o api_2_0_spec.html
| bash |
d_bash_12843 | ---
+++
@@ -3,4 +3,4 @@
alias freeze="pip freeze"
alias install="pip install"
-source "/usr/local/bin/virtualenvwrapper.sh"
+[[ -f "/usr/local/bin/virtualenvwrapper.sh" ]] && source "/usr/local/bin/virtualenvwrapper.sh" | bash |
d_bash_12844 | ---
+++
@@ -1,4 +1,9 @@
#!/bin/bash
# Simple script to add an image to the the database.
echo "adding $1 to album $2"
+# About all this can do is say whether or not something is found.
+# A failure to find a matching file doesn't return 1 or any other
+# process exit value (just 0).
+sqlite3 album_art.sqlite3 "SEL... | bash |
d_bash_12845 | ---
+++
@@ -8,7 +8,7 @@
--out-dir ./processes/${VIDEO}/processVideo \
--input-video ./uploads/${VIDEO} \
--landmark-model ${DATA_PATH}/shape_predictor_68_face_landmarks.dat \
- --detector_path "${MTCNN_PATH}" \
+ --detector_path "${MTCNN_PATH}"/model \
--crop-resolution 252 --crop-scale 1.8 ... | bash |
d_bash_12846 | ---
+++
@@ -4,4 +4,5 @@
source $SCRIPTPATH/inc/pkgupdate.sh
sudo apt-get -y dist-upgrade
+sudo apt-get -y autoremove
sudo apt-get -y autoclean | bash |
d_bash_12847 | ---
+++
@@ -3,8 +3,13 @@
echo "mode: set" > acc.out
fail=0
+# Install the old cover tool if version is not 1.4 or higher.
+if [ -n "$TRAVIS_GO_VERSION" ] && [[ "$TRAVIS_GO_VERSION" < "go1.4" ]]; then
+ go get code.google.com/p/go.tools/cmd/cover
+fi
+
# Standard go tooling behavior is to ignore dirs with leadin... | bash |
d_bash_12848 | ---
+++
@@ -37,7 +37,7 @@
fi
# Manual install needed
-conda install --yes snakemake pytest-cov
+conda install --yes snakemake pytest-cov pytest-ngsfixtures
# Install coveralls
pip install coveralls
| bash |
d_bash_12849 | ---
+++
@@ -4,6 +4,8 @@
# usage:
# sh check_release_matches_tag.sh 004 /tmp/sling-staging
#
+# Note that differences in line endings are not ignored by default.
+# doing "EXPORT DIFFOPT=-b" before calling this ignores them.
BASE=$2/$1/org/apache/sling
TAGBASE=http://svn.apache.org/repos/asf/sling/tags/
@@ -25... | bash |
d_bash_12850 | ---
+++
@@ -6,7 +6,7 @@
echo "https://github.com/bell-sw/Liberica/releases/download/8u333+2/bellsoft-jdk8u333+2-linux-amd64.tar.gz"
;;
java11)
- echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.15%2B10/OpenJDK11U-jdk_x64_linux_hotspot_11.0.15_10.tar.gz"
+ echo "https://githu... | bash |
d_bash_12851 | ---
+++
@@ -28,3 +28,10 @@
workon "$(basename `pwd`)@$(git_prompt_info)"
}
+
+function wovenv {
+ about 'works on the virtualenv for this directory'
+ group 'virtualenv'
+
+ workon "$(basename `pwd`)"
+} | bash |
d_bash_12852 | ---
+++
@@ -6,4 +6,6 @@
else
S3_BUCKET="s3://sendgrid-knowledge-center-staging"
fi
+
+AWS_ACCESS_KEY_ID=$AWS_ACCESS_KEY AWS_SECRET_ACCESS_KEY=$AWS_SECRET_ACCESS_KEY aws s3api put-bucket-website --bucket sendgrid-knowledge-center-staging --website-configuration file://static/config.json
AWS_ACCESS_KEY_ID=$AWS_AC... | bash |
d_bash_12853 | ---
+++
@@ -6,5 +6,5 @@
version=$(cat ../docs-version/version)
-tar -cvzf "docs-${version}.tgz" final_app/public
+tar -cvzf "docs-${version}.tgz" final_app/public manifest.yml manifest.dev.yml
mv "docs-${version}.tgz" ../final-app/ | bash |
d_bash_12854 | ---
+++
@@ -1,5 +1,17 @@
#!/bin/bash
# Assign role to server.
PAYLOAD=$(cat)
-echo "Assign to $PAYLOAD role."
-echo "My role is $SERF_SELF_ROLE"
+TARGET=$(echo $PAYLOAD | cut -f1 -d,)
+ROLE=$(echo $PAYLOAD | cut -f2 -d,)
+
+echo "Assign $TARGET to $ROLE role."
+echo "$SERF_SELF_NAME: My current role is $SERF_SELF_... | bash |
d_bash_12855 | ---
+++
@@ -1,11 +1,16 @@
#!/usr/bin/env bash
+##
+# Deploys artifacts to the repository. The new version is taken from NEW_VERSION variable or inferred from the latest
+# version of the main pom in the repository by incrementing its last (e.g. PATCH) part by 1.
+# The script is expected to be run from the root of t... | bash |
d_bash_12856 | ---
+++
@@ -10,3 +10,7 @@
alias du1='du --max-depth=1'
alias du2='du --max-depth=2'
+
+# tmux
+alias t='tmux -2'
+alias ta='tmux attach' | bash |
d_bash_12857 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/bash
cp config/database.yml.example config/database.yml
+bundle exec rake db:setup
bundle exec rake | bash |
d_bash_12858 | ---
+++
@@ -3,7 +3,7 @@
FAUCETHOME=`dirname $0`"/../.."
PYTHONPATH=$FAUCETHOME:$FAUCETHOME/clib
-MINRATING=9.2
+MINRATING=8.8
lintfile=`tempfile`.lint
| bash |
d_bash_12859 | ---
+++
@@ -1,5 +1,5 @@
###############################################################################
-# AWS Command Line Interface (CLI)
+# Antigen
#
# A plugin manager for zsh, inspired by oh-my-zsh and vundle.
# | bash |
d_bash_12860 | ---
+++
@@ -3,6 +3,10 @@
new_session_number=0
base_session_name='default-'
checking_session_name="$base_session_name$new_session_number"
+
+function list_unattached_sessions() {
+ tmux list-sessions | grep --perl-regexp "$base_session_name\d+" | grep --perl-regexp --invert-match "attached" | sed -e 's/:.*$//'
+}
... | bash |
d_bash_12861 | ---
+++
@@ -7,23 +7,28 @@
# Parse through each file in the directory and use the file name to
# import the SQL file into the database of the same name
-for file in $( ls *.sql )
-do
-pre_dot=${file%%.*}
-mysql_cmd='SHOW TABLES FROM `'$pre_dot'`' # Required to support hypens in database names
-db_exist=`mysql -u r... | bash |
d_bash_12862 | ---
+++
@@ -1,7 +1,5 @@
cd vendor/onig
-CPPFLAGS="$1"
-CFLAGS="$1"
-./configure --disable-shared
+CPPFLAGS="$1" CFLAGS="$1" ./configure --disable-shared
make clean
make
cp .libs/libonig.a ../../src/libonig.a | bash |
d_bash_12863 | ---
+++
@@ -1,6 +1,10 @@
#!/bin/sh
set -e # Bail if something fails
+
+# This script will try and detect a user's docker setup and write some environment
+# variable pairs to stdout. The stdout output from this script can then be used to,
+# for example, create a .env file for use with docker-compose
# TODO:... | bash |
d_bash_12864 | ---
+++
@@ -1,4 +1,10 @@
-eval "$(npm completion 2>/dev/null)"
+__NPM_COMPLETION_FILE="${ZSH_CACHE_DIR}/npm_completion"
+
+if [[ ! -f $__NPM_COMPLETION_FILE ]]; then
+ npm completion >! $__NPM_COMPLETION_FILE || rm -f $__NPM_COMPLETION_FILE
+fi
+
+source $__NPM_COMPLETION_FILE
# Install dependencies globally
a... | bash |
d_bash_12865 | ---
+++
@@ -3,7 +3,7 @@
if [ -n "$1" ]; then
VERSION=$1
else
- VERSION=`curl https://github.com/bitshares/bitshares-core/releases/latest 2>/dev/null | cut -f2 -d'"' | cut -f8 -d'/'`
+ VERSION=`curl -w %{redirect_url} https://github.com/bitshares/bitshares-core/releases/latest 2>/dev/null | cut -f8 -d'/'`
f... | bash |
d_bash_12866 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
base_url="http://localhost:8080"
-result=$(curl --silent "$base_url/aloja-web/serverWorksTest.php")
+result=$(curl --silent "$base_url/serverWorksTest.php")
if [ "$result" = "hello" ]
then | bash |
d_bash_12867 | ---
+++
@@ -5,7 +5,6 @@
yum install -y php
yum install -y epel-release
yum install -y phpMyAdmin
-yum update -y
ln -s /mnt/fuelphp /home/vagrant/fuelphp
cp /mnt/fuelphp/vagrant/*.conf /etc/httpd/conf.d
curl get.fuelphp.com/oil | sh | bash |
d_bash_12868 | ---
+++
@@ -4,7 +4,7 @@
regex_escape () {
sed 's/\\/\\\\/g' | sed 's/\[/\\\[/g' | sed 's/\]/\\\]/g' | sed 's/\./\\\./g' | sed 's/\*/\\\*/g' | sed 's/\?/\\\?/g' \
- | sed 's/(/\\\(/g' | sed 's/)/\\\)/g'
+ | sed 's/(/\\\(/g' | sed 's/)/\\\)/g' | sed 's/"/\\"/g'
}
if [ -z "@USE_CMAKE_KDB_COMMAND@" ]; then | bash |
d_bash_12869 | ---
+++
@@ -30,13 +30,13 @@
wget \
wireless-tools
-# Current nodejs version
+# Install nodejs in version 6
npm cache clean -f
npm install -g n
-n stable
+n 6
# Node-RED
-npm install -g node-red
+npm install -g --unsafe-perm node-red
# Configure dependencies
echo -e "\nsyntax on\nset background=dark... | bash |
d_bash_12870 | ---
+++
@@ -5,6 +5,7 @@
alias bc='bundle exec rails console'
alias bs='bundle exec rails server'
alias bi='bundle install'
+alias bo='bundle open'
alias bake='bundle exec rake'
alias bails='bundle exec rails'
| bash |
d_bash_12871 | ---
+++
@@ -14,6 +14,7 @@
echo
echo Archiving
pushd reobf/minecraft
+rm -f ../../../oredupefix-snapshot.zip
zip -r ../../../oredupefix-snapshot.zip .
popd
popd | bash |
d_bash_12872 | ---
+++
@@ -1,11 +1,11 @@
#!/usr/bin/env bash
if [ $1 = "development" ]; then
- curl -X GET --header "Accept: application/json" --header "$RASPI_DEPLOYMENT_MICROSERVICE_WSO2_HEADER" "$RASPI_DEPLOYMENT_MICROSERVICE_WSO2_ADDRESS_DEV"
+ curl -X GET --header "Accept: application/json" --header "$RASPI_DEPLOYMENT_MICR... | bash |
d_bash_12873 | ---
+++
@@ -1,7 +1,7 @@
function haxby::core::readlink {
# BSD readlink does not work with the args used in haxby
-if readlink -f >/dev/null 2>&1
+if readlink -f $HOME >/dev/null 2>&1
then
# System has gnu coreutils (probably)
: # noop | bash |
d_bash_12874 | ---
+++
@@ -1,5 +1,12 @@
# Open/clone project
p() {
+ # Custom aliases
+ case $1 in
+ dotfiles)
+ cd ~/dotfiles
+ exit
+ ;;
+ esac
if [[ -d ~/p/$1 ]]; then
cd ~/p/$1
else | bash |
d_bash_12875 | ---
+++
@@ -26,4 +26,6 @@
export LD_LIBRARY_PATH="$HOME"/i/curl-"$USECURL"/lib
fi
+export VSFTPD_PATH=vsftpd
+
make test | bash |
d_bash_12876 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
set -e
-JENKINS_SLAVE_IMAGE=${JENKINS_SLAVE_IMAGE:-openfrontier/jenkins-slave:maven}
+JENKINS_SLAVE_IMAGE=${JENKINS_SLAVE_IMAGE:-openfrontier/jenkins-slave}
JENKINS_VOLUME=${JENKINS_VOLUME:-jenkins-volume}
PROJECT_NAME=${PROJECT_NAME:-demo}
NEXUS_REPO=${NEXUS_REPO:-$1} | bash |
d_bash_12877 | ---
+++
@@ -1,5 +1,6 @@
-export PATH="$PATH:$HOME/.rvm/bin" # Add RVM to PATH for scripting
+export PATH="$HOME/.rvm/bin:$HOME/.rvm/rubies/default/bin:$PATH" # Add RVM to PATH for scripting
rvm() {
+ unfunction rvm
source "$HOME/.rvm/scripts/rvm"
rvm "$@"
} | bash |
d_bash_12878 | ---
+++
@@ -12,7 +12,7 @@
fi
export PATH=$CONDA_PATH/bin:$PATH
-echo "python==3.7" > $CONDA_PATH/conda-meta/pinned
+#echo "python==3.7" > $CONDA_PATH/conda-meta/pinned
#echo "conda-build==3.14.0" >> $CONDA_PATH/conda-meta/pinned
conda install -y python | bash |
d_bash_12879 | ---
+++
@@ -5,6 +5,10 @@
if [ ! -z "$VERSION_PREFIX" ]; then
VERSION=${VERSION#$VERSION_PREFIX}
+fi
+
+if [ -z "$VERSION_BUMP_MESSAGE" ]; then
+ VERSION_BUMP_MESSAGE="Bump version to %version%"
fi
echo -n "$VERSION" > $VERSION_FILE && \ | bash |
d_bash_12880 | ---
+++
@@ -9,7 +9,7 @@
# Execute the script, remove it, then reboot.
echo
echo "Running update script ${UPDATE_SCRIPT}..."
- sh ${UPDATE_SCRIPT}
+ bash ${UPDATE_SCRIPT}
rm -f $UPDATE_SCRIPT
reboot
fi | bash |
d_bash_12881 | ---
+++
@@ -4,8 +4,12 @@
source $(dirname $0)/assert.sh
### Ephemeral disk checking
-#assert_raises "grep '/dev/vdb.*ext4.*rw' /proc/mounts"
-#assert_end "Check that ephemeral disk is ext4 and read-write mounted on vdb"
+assert_raises "grep '/dev/vdb.*ext4.*rw' /proc/mounts"
+assert_end "Check that ephemeral disk... | bash |
d_bash_12882 | ---
+++
@@ -26,6 +26,6 @@
source tensorflow_lite_support/tools/ci_build/tests/run_support_lib_tests.sh
bazel test --test_output=all \
- //tensorflow_lite_support/c/test:all \
+ //tensorflow_lite_support/c/test/... \
//tensorflow_lite_support/cc/test/task/vision:all \
//tensorflow_lite_support/cust... | bash |
d_bash_12883 | ---
+++
@@ -3,5 +3,6 @@
for file in ./build/*.jpg
do
+ echo Converting "$file"
./cartoonist.sh "$file"
done | bash |
d_bash_12884 | ---
+++
@@ -9,7 +9,7 @@
echo $NID > $CONTROL_FILE
fi
-brightness=`./write_to_kb read`
+brightness=`$(dirname $0)/write_to_kb read`
case $1 in
"up")
@@ -33,9 +33,9 @@
brightness=255
fi
-./write_to_kb write $brightness
+`dirname $0`/write_to_kb write $brightness
-visible_br=`echo "$brightness / 2 * 4 /... | bash |
d_bash_12885 | ---
+++
@@ -1,4 +1,7 @@
#!/bin/bash
+
+#Clean up old images
+docker images -q |xargs docker rmi
cd /home/ec2-user/app
| bash |
d_bash_12886 | ---
+++
@@ -1,8 +1,15 @@
-mv ~/sources.list /etc/apt/sources.list
-mv ~/sshd /etc/pam.d/sshd
+if grep 'vagrant' /etc/passwd
+then
+ user_home=/home/vagrant
+else
+ user_home=$HOME
+fi
-echo GEM_HOME="$HOME/.gem" >> /etc/environment
-echo PATH="$HOME/.gem/ruby/2.2.0/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin... | bash |
d_bash_12887 | ---
+++
@@ -15,4 +15,8 @@
find . -name '*.c' -delete
# And the tar files (sqlite3 module again)
find . -name '*.tar.*' -delete
+ # Who needs tests and docs? Pffft! - Ignoring errors because find isn't a fan of us deleting directories whilst it's trying to search within them.
+ find . -type d -name 'test' -exec ... | bash |
d_bash_12888 | ---
+++
@@ -12,7 +12,7 @@
echo "https://github.com/bell-sw/Liberica/releases/download/17.0.3.1+2/bellsoft-jdk17.0.3.1+2-linux-amd64.tar.gz"
;;
java18)
- echo "https://github.com/bell-sw/Liberica/releases/download/18.0.1+12/bellsoft-jdk18.0.1+12-linux-amd64.tar.gz"
+ echo "https://github.com/bell-sw/Liberi... | bash |
d_bash_12889 | ---
+++
@@ -7,6 +7,8 @@
elif [[ "$PLATFORM" == 'macos' ]]; then
alias ls='ls -G'
fi
+
+alias vim='nvim'
alias ll='ls -l'
alias la='ls -la' | bash |
d_bash_12890 | ---
+++
@@ -5,7 +5,7 @@
# Install ansible dependencies
cd /openprescribing/ansible
apt-get update && apt-get -qq -y install locales curl python3
-curl https://bootstrap.pypa.io/3.5/get-pip.py | python3
+curl https://bootstrap.pypa.io/pip/3.5/get-pip.py | python3
echo "Downgrading setuptools to <50 for Debian/Ubun... | bash |
d_bash_12891 | ---
+++
@@ -4,6 +4,6 @@
wget https://raw.githubusercontent.com/cliffordwolf/picorv32/master/picorv32.v
yosys -p 'synth_ice40 -nocarry -blif picorv32.blif -top top' picorv32.v picorv32_top.v
arachne-pnr -d 8k --post-place-blif picorv32_place.blif picorv32.blif
-yosys picorv32_place.blif -o picorv32_place.json
+yosy... | bash |
d_bash_12892 | ---
+++
@@ -17,15 +17,15 @@
#
function __sdk_env {
- if [[ ! -f .sdkmanrc ]]; then
- __sdkman_echo_red '.sdkmanrc not found.'
+ readonly sdkmanrc='.sdkmanrc'
+
+ if [[ ! -f "$sdkmanrc" ]]; then
+ __sdkman_echo_red "$sdkmanrc not found."
return 1
fi
- local candidate version
-
- while IFS='=... | bash |
d_bash_12893 | ---
+++
@@ -11,5 +11,5 @@
cp {doc/watchexec.1,LICENSE} "$build_dir/$name/"
pushd $build_dir
-tar czf "$out_dir/$name.tar.gz" *
+GZIP=-9 tar czf "$out_dir/$name.tar.gz" *
popd | bash |
d_bash_12894 | ---
+++
@@ -11,13 +11,13 @@
if type parallel >/dev/null 2>&1
then
echo "Using parallel to generate vega specs from examples in parallel."
- ls examples/specs/*.vl.json | parallel --no-notice --plus --halt 1 "bin/vl2vg -p {} > examples/compiled/{/..}.vg.json && node_modules/vega/bin/vg2svg examples/compiled/{/..... | bash |
d_bash_12895 | ---
+++
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+
+sbt cli/assembly
cd cli/it
| bash |
d_bash_12896 | ---
+++
@@ -1,7 +1,8 @@
#!/bin/bash
-set -euv
+set -euvx
-yarn test:browser \
+yarn lint \
+ && yarn test:browser \
&& yarn test:node \
&& SINGLE_RUN=true yarn test:browser:integration \
&& SINGLE_RUN=true yarn test:node:integration | bash |
d_bash_12897 | ---
+++
@@ -1,6 +1,9 @@
#!/bin/bash
set -e
+
+echo "--- Loading environment"
+source /var/lib/jenkins/.rvm/environments/ruby-1.9.3-p392
echo "--- Bundling"
bundle install | bash |
d_bash_12898 | ---
+++
@@ -12,7 +12,7 @@
# POWERLINE_HOME="${HOME}/dev/shell/powerline-shell"
function powerline_precmd() {
- PS1="$(${POWERLINE_HOME}/powerline-shell.py $? --colorize-hostname --shell zsh 2> /dev/null)"
+ PS1="$(${POWERLINE_HOME}/powerline-shell.py $? --colorize-hostname --shell zsh --cwd-max-depth 5 2> /de... | bash |
d_bash_12899 | ---
+++
@@ -3,7 +3,7 @@
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
-echo '// ./mkunix.sh' "$1"
+echo '// ./mkunixsignals.sh' "$1"
echo '// MACHINE GENERATED BY THE COMMAND ABOVE; DO NOT EDIT'
echo
| bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.